"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mouseEventClick = exports.extendedStyledOptions = exports.styledOptions = void 0;
const is_prop_valid_1 = __importDefault(require("@emotion/is-prop-valid"));
exports.styledOptions = {
    shouldForwardProp: is_prop_valid_1.default,
};
const extendedStyledOptions = (allowed, forbidden = []) => ({
    shouldForwardProp: (prop) => !forbidden.includes(prop) && (allowed.includes(prop) || (0, is_prop_valid_1.default)(prop)),
});
exports.extendedStyledOptions = extendedStyledOptions;
function mouseEventClick(onClick) {
    return (e) => {
        if (e === null || e === void 0 ? void 0 : e.preventDefault)
            e === null || e === void 0 ? void 0 : e.preventDefault();
        if (onClick)
            onClick();
    };
}
exports.mouseEventClick = mouseEventClick;
