import isPropValid from '@emotion/is-prop-valid';
export const styledOptions = {
    shouldForwardProp: isPropValid,
};
export const extendedStyledOptions = (allowed, forbidden = []) => ({
    shouldForwardProp: (prop) => !forbidden.includes(prop) && (allowed.includes(prop) || isPropValid(prop)),
});
export function mouseEventClick(onClick) {
    return (e) => {
        if (e?.preventDefault)
            e?.preventDefault();
        if (onClick)
            onClick();
    };
}
